OpenTTD Source: src/console_internal.h File Reference

OpenTTD Source 15.3

Data Structures | Typedefs | Enumerations | Functions | Variables
console_internal.h File Reference

Internally used functions for the console. More...

`#include "gfx_type.h"`

Go to the source code of this file.

## Data Structures
struct | IConsoleCmd
struct | IConsoleAlias
| –Aliases– Aliases are like shortcuts for complex functions, variable assignments, etc. More...
struct | IConsole

## Typedefs
using | IConsoleCmdProc = bool(std::span< std::string_view >)
| –Commands– Commands are commands, or functions.
using | IConsoleHook = ConsoleHookResult(bool)

## Enumerations
enum | ConsoleHookResult : uint8_t { CHR_ALLOW , CHR_DISALLOW , CHR_HIDE }
| Return values of console hooks (IConsoleHook). More...

## Functions
void | IConsoleClearBuffer ()
void | IConsoleStdLibRegister ()
void | IConsoleGUIInit ()
void | IConsoleGUIFree ()
void | IConsoleGUIPrint (TextColour colour_code, const std::string &string)
| Handle the printing of text entered into the console or redirected there by any other means.

## Variables
static const uint | ICON_CMDLN_SIZE = 1024
| maximum length of a typed in command

## Detailed Description

Internally used functions for the console.

Definition in file console_internal.h.

## Typedef Documentation

## ◆ IConsoleCmdProc

using IConsoleCmdProc = bool(std::span<std::string_view>)

–Commands– Commands are commands, or functions.

They get executed once and any effect they produce are carried out. The arguments to the commands are given to them, each input word separated by a double-quote (") is an argument If you want to handle multiple words as one, enclose them in double-quotes eg. 'say "hello everybody"'

Definition at line 32 of file console_internal.h.

## ◆ IConsoleHook

using IConsoleHook = ConsoleHookResult(bool)

Definition at line 33 of file console_internal.h.

## Enumeration Type Documentation

## ◆ ConsoleHookResult

enum ConsoleHookResult : uint8_t

Return values of console hooks (IConsoleHook).

Enumerator
CHR_ALLOW | Allow command execution.
CHR_DISALLOW | Disallow command execution.
CHR_HIDE | Hide the existence of the command.

Definition at line 18 of file console_internal.h.

## Function Documentation

## ◆ IConsoleClearBuffer()

void IConsoleClearBuffer | ( |  | ) |

Definition at line 397 of file console_gui.cpp.

## ◆ IConsoleGUIFree()

void IConsoleGUIFree | ( |  | ) |

Definition at line 402 of file console_gui.cpp.

## ◆ IConsoleGUIInit()

void IConsoleGUIInit | ( |  | ) |

Definition at line 383 of file console_gui.cpp.

## ◆ IConsoleGUIPrint()

void IConsoleGUIPrint | ( | TextColour | colour_code,
|  | const std::string & | str
| ) |  |

Handle the printing of text entered into the console or redirected there by any other means.

Text can be redirected to other clients in a network game as well as to a logfile. If the network server is a dedicated server, all activities are also logged. All lines to print are added to a temporary buffer which can be used as a history to print them onscreen

Parameters

  colour_code | the colour of the command. Red in case of errors, etc.
  str | the message entered or output on the console (notice, error, etc.)

Definition at line 498 of file console_gui.cpp.

References _iconsole_buffer, SetWindowDirty(), and WC_CONSOLE.

Referenced by IConsolePrint().

## ◆ IConsoleStdLibRegister()

void IConsoleStdLibRegister | ( |  | ) |

Definition at line 2872 of file console_cmds.cpp.

## Variable Documentation

## ◆ ICON_CMDLN_SIZE

const uint ICON_CMDLN_SIZE = 1024
| static

maximum length of a typed in command

Definition at line 15 of file console_internal.h.